# aifs-client-py
aifs api

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.2
- Build package: org.openapitools.codegen.languages.PythonPriorClientCodegen

## Requirements.

Python >=3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import aifs_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import aifs_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import aifs_client
from pprint import pprint
from aifs_client.api import annotation_template_api
from aifs_client.model.annotation_template_details import AnnotationTemplateDetails
from aifs_client.model.annotation_template_list_item import AnnotationTemplateListItem
from aifs_client.model.create_anno_template_success_resp import CreateAnnoTemplateSuccessResp
from aifs_client.model.create_annotation_template_request import CreateAnnotationTemplateRequest
from aifs_client.model.update_annotation_template_request import UpdateAnnotationTemplateRequest
# Defining the host is optional and defaults to https://www.example.com/api/open/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = aifs_client.Configuration(
    host = "https://www.example.com/api/open/v1"
)



# Enter a context with an instance of the API client
with aifs_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = annotation_template_api.AnnotationTemplateApi(api_client)
    create_annotation_template_request = CreateAnnotationTemplateRequest(
        name="name_example",
        type="type_example",
        description="description_example",
        labels=[
            Label(
                id="id_example",
                name="name_example",
                super_category_name="super_category_name_example",
                color=1,
                key_point_def=KeyPointDef([
                    "key_point_def_example",
                ]),
                key_point_skeleton=KeyPointSkeleton([
                    [
                        1,
                    ],
                ]),
            ),
        ],
        word_list=WordList([
            "word_list_example",
        ]),
    ) # CreateAnnotationTemplateRequest | Create an new annotation template

    try:
        # Create an annotation template
        api_response = api_instance.create_annotation_template(create_annotation_template_request)
        pprint(api_response)
    except aifs_client.ApiException as e:
        print("Exception when calling AnnotationTemplateApi->create_annotation_template: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www.example.com/api/open/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AnnotationTemplateApi* | [**create_annotation_template**](docs/AnnotationTemplateApi.md#create_annotation_template) | **POST** /annotation-templates | Create an annotation template
*AnnotationTemplateApi* | [**delete_annotation_template**](docs/AnnotationTemplateApi.md#delete_annotation_template) | **DELETE** /annotation-templates/{annotationTemplateId} | Delete an annotation template
*AnnotationTemplateApi* | [**get_anno_template_details**](docs/AnnotationTemplateApi.md#get_anno_template_details) | **GET** /annotation-templates/{annotationTemplateId}/details | Get annotation template details
*AnnotationTemplateApi* | [**get_anno_template_list**](docs/AnnotationTemplateApi.md#get_anno_template_list) | **GET** /annotation-templates | Get annotation template list
*AnnotationTemplateApi* | [**update_annotation_template**](docs/AnnotationTemplateApi.md#update_annotation_template) | **PUT** /annotation-templates | Update an annotation template
*AnnotationTemplateTypeApi* | [**get_anno_template_type_list**](docs/AnnotationTemplateTypeApi.md#get_anno_template_type_list) | **GET** /annotation-template-types | Get annotation template type list
*DataViewApi* | [**create_data_view**](docs/DataViewApi.md#create_data_view) | **POST** /data-views | Create a data view
*DataViewApi* | [**delete_data_item_in_data_view**](docs/DataViewApi.md#delete_data_item_in_data_view) | **DELETE** /data-views/{dataViewId}/data-items | Delete data item in a data view
*DataViewApi* | [**delete_data_view**](docs/DataViewApi.md#delete_data_view) | **DELETE** /data-views/{dataViewId} | Delete a data view
*DataViewApi* | [**download_by_data_view**](docs/DataViewApi.md#download_by_data_view) | **GET** /data-views/download | Download data in data view
*DataViewApi* | [**get_all_annotation_data_in_data_view**](docs/DataViewApi.md#get_all_annotation_data_in_data_view) | **GET** /data-views/{dataViewId}/annotation-data | Get all annotation data in a data view
*DataViewApi* | [**get_all_annotation_locations_in_data_view**](docs/DataViewApi.md#get_all_annotation_locations_in_data_view) | **GET** /data-views/{dataViewId}/annotation-locations | Get all annotation locations in a data view
*DataViewApi* | [**get_all_raw_data_locations_in_data_view**](docs/DataViewApi.md#get_all_raw_data_locations_in_data_view) | **GET** /data-views/{dataViewId}/raw-data-locations | Get all raw data locations in a data view
*DataViewApi* | [**get_data_view_annotations**](docs/DataViewApi.md#get_data_view_annotations) | **GET** /data-views/{dataViewId}/annotations | Get data view annotations
*DataViewApi* | [**get_data_view_details**](docs/DataViewApi.md#get_data_view_details) | **GET** /data-views/{dataViewId}/details | Get data view details
*DataViewApi* | [**get_data_view_list**](docs/DataViewApi.md#get_data_view_list) | **GET** /data-views | Get data view list
*DataViewApi* | [**get_dataset_zip_location_in_data_view**](docs/DataViewApi.md#get_dataset_zip_location_in_data_view) | **GET** /data-views/{dataViewId}/dataset-zip-location | Get dataset zip&#39;s location in a data view
*DataViewApi* | [**get_model_data_locations_in_data_view**](docs/DataViewApi.md#get_model_data_locations_in_data_view) | **GET** /data-views/{dataViewId}/model-data-locations | Get all model data locations in a data view
*DataViewApi* | [**get_raw_data_hash_list_in_data_view**](docs/DataViewApi.md#get_raw_data_hash_list_in_data_view) | **GET** /data-views/{dataViewId}/raw-data-hash-list | Get data view raw data hash list
*DataViewApi* | [**get_raw_data_in_data_view**](docs/DataViewApi.md#get_raw_data_in_data_view) | **GET** /data-views/{dataViewId}/raw-data | Get data view raw data
*DataViewApi* | [**update_dataset_zip_view**](docs/DataViewApi.md#update_dataset_zip_view) | **PUT** /data-views/{dataViewId}/dataset-zip | Update a dataset-zip view meta
*DataViewApi* | [**upload_annotation_to_data_view**](docs/DataViewApi.md#upload_annotation_to_data_view) | **POST** /data-views/{dataViewId}/annotations | Upload annotations to data view
*DataViewApi* | [**upload_dataset_zip_to_data_view**](docs/DataViewApi.md#upload_dataset_zip_to_data_view) | **POST** /data-views/{dataViewId}/dataset-zip | Upload dataset zip
*DataViewApi* | [**upload_model_data_to_data_view**](docs/DataViewApi.md#upload_model_data_to_data_view) | **POST** /data-views/{dataViewId}/model | Upload model data to data view
*DataViewApi* | [**upload_raw_data_to_data_view**](docs/DataViewApi.md#upload_raw_data_to_data_view) | **POST** /data-views/{dataViewId}/raw-data-hash-list | Upload raw data to data view


## Documentation For Models

 - [AnnotationData](docs/AnnotationData.md)
 - [AnnotationDataInner](docs/AnnotationDataInner.md)
 - [AnnotationListItem](docs/AnnotationListItem.md)
 - [AnnotationListItemData](docs/AnnotationListItemData.md)
 - [AnnotationTemplateDetails](docs/AnnotationTemplateDetails.md)
 - [AnnotationTemplateListItem](docs/AnnotationTemplateListItem.md)
 - [AnnotationTemplateTypeList](docs/AnnotationTemplateTypeList.md)
 - [AnnotationViewData](docs/AnnotationViewData.md)
 - [AnnotationViewLocations](docs/AnnotationViewLocations.md)
 - [BoundingBoxList](docs/BoundingBoxList.md)
 - [BoundingBoxListInner](docs/BoundingBoxListInner.md)
 - [CreateAnnoTemplateSuccessResp](docs/CreateAnnoTemplateSuccessResp.md)
 - [CreateAnnotationTemplateRequest](docs/CreateAnnotationTemplateRequest.md)
 - [CreateDataViewRequest](docs/CreateDataViewRequest.md)
 - [CreateDataViewSuccessResp](docs/CreateDataViewSuccessResp.md)
 - [DataViewDetails](docs/DataViewDetails.md)
 - [DataViewListItem](docs/DataViewListItem.md)
 - [DataViewType](docs/DataViewType.md)
 - [DatasetZipLocation](docs/DatasetZipLocation.md)
 - [DownloadResponse](docs/DownloadResponse.md)
 - [Error](docs/Error.md)
 - [ImageData](docs/ImageData.md)
 - [KeyPointDef](docs/KeyPointDef.md)
 - [KeyPointSkeleton](docs/KeyPointSkeleton.md)
 - [Label](docs/Label.md)
 - [ModelDataViewLocations](docs/ModelDataViewLocations.md)
 - [RawDataHashList](docs/RawDataHashList.md)
 - [RawDataHashListInner](docs/RawDataHashListInner.md)
 - [RawDataListItem](docs/RawDataListItem.md)
 - [RawDataListItemData](docs/RawDataListItemData.md)
 - [RawDataType](docs/RawDataType.md)
 - [RawDataViewLocations](docs/RawDataViewLocations.md)
 - [S3Storage](docs/S3Storage.md)
 - [S3StorageInner](docs/S3StorageInner.md)
 - [UpdateAnnotationTemplateRequest](docs/UpdateAnnotationTemplateRequest.md)
 - [UpdateDatasetZipRequest](docs/UpdateDatasetZipRequest.md)
 - [UploadAnnotationFormat](docs/UploadAnnotationFormat.md)
 - [UploadAnnotationToDataViewRequest1](docs/UploadAnnotationToDataViewRequest1.md)
 - [UploadRawDataToDataViewRequest1](docs/UploadRawDataToDataViewRequest1.md)
 - [WordList](docs/WordList.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in aifs_client.apis and aifs_client.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from aifs_client.api.default_api import DefaultApi`
- `from aifs_client.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import aifs_client
from aifs_client.apis import *
from aifs_client.models import *
```

